Use OLAP
--Reviewing UNION
--check sales and countries
SELECT count(*) as number_of_cities 
FROM Countries
SELECT count(*) as number_of_new_cities 
FROM OLTP.dbo.Countries

--New and old data
SELECT country,city FROM Countries
UNION 
SELECT country,city FROM OLTP.dbo.Countries

--sales
SELECT * FROM sales_2016
UNION
SELECT * FROM sales_2017
UNION
SELECT * FROM OLTP.dbo.sales

SELECT count(*) as sales_for_2016 FROM sales_2016
SELECT count(*) as sales_for_2017 FROM sales_2017
SELECT count(*) as current_sales FROM OLTP.dbo.sales
SELECT 3774+3746+5 as number_of_expected_rows

--Excluding duplicates
SELECT * FROM sales_2016
UNION
SELECT * FROM sales_2017
UNION ALL
SELECT * FROM OLTP.dbo.sales
